Open Lighting Architecture: ola::web::StrictTypedParseContext Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::StrictTypedParseContext Class Reference

## Detailed Description

A SchemaParseContext that reports errors for all types.

This is intended to be sub-classed for contexts that only accept a subset of types.

Inheritance diagram for ola::web::StrictTypedParseContext:

## Public Member Functions
void | String (SchemaErrorLogger *logger, const std::string &value)
void | Number (SchemaErrorLogger *logger, uint32_t value)
void | Number (SchemaErrorLogger *logger, int32_t value)
void | Number (SchemaErrorLogger *logger, uint64_t value)
void | Number (SchemaErrorLogger *logger, int64_t value)
void | Number (SchemaErrorLogger *logger, double value)
void | Bool (SchemaErrorLogger *logger, bool value)
void | Null (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenArray (SchemaErrorLogger *logger)
void | CloseArray (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
void | CloseObject (SchemaErrorLogger *logger)
Public Member Functions inherited from ola::web::ObjectParseContext
void | ObjectKey (SchemaErrorLogger *, const std::string &keyword)
| Called when we encounter a property.

## Additional Inherited Members
Protected Member Functions inherited from ola::web::ObjectParseContext
std::string | TakeKeyword ()
const std::string & | Keyword () const

## Member Function Documentation

## ◆ Bool()

void ola::web::StrictTypedParseContext::Bool | ( | SchemaErrorLogger * | logger,
|  | bool | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ CloseArray()

void ola::web::StrictTypedParseContext::CloseArray | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ CloseObject()

void ola::web::StrictTypedParseContext::CloseObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Null()

void ola::web::StrictTypedParseContext::Null | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [1/5]

void ola::web::StrictTypedParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | double | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [2/5]

void ola::web::StrictTypedParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | int32_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [3/5]

void ola::web::StrictTypedParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | int64_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [4/5]

void ola::web::StrictTypedParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | uint32_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [5/5]

void ola::web::StrictTypedParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | uint64_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ OpenArray()

SchemaParseContextInterface * ola::web::StrictTypedParseContext::OpenArray | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ OpenObject()

SchemaParseContextInterface * ola::web::StrictTypedParseContext::OpenObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ String()

void ola::web::StrictTypedParseContext::String | ( | SchemaErrorLogger * | logger,
|  | const std::string & | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

The documentation for this class was generated from the following files:

- common/web/SchemaParseContext.h
- common/web/SchemaParseContext.cpp